Debian Bug report logs - #706668
mysql-connector-java: FTBFS with openjdk-7

version graph

Package: mysql-connector-java; Maintainer for mysql-connector-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: "Verica_Lazova.str" <verica.lcroft@gmail.com>

Date: Fri, 3 May 2013 06:27:02 UTC

Severity: important

Tags: patch

Found in version 5.1.16-2

Fixed in version mysql-connector-java/5.1.25-1

Done: Emmanuel Bourg <ebourg@apache.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#706668; Package mysql-connector-java. (Fri, 03 May 2013 06:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Verica_Lazova.str" <verica.lcroft@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 03 May 2013 06:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Verica_Lazova.str" <verica.lcroft@gmail.com>
To: submit@bugs.debian.org
Subject: mysql-connector-java: FTBFS with openjdk-7
Date: Fri, 3 May 2013 08:22:33 +0200
[Message part 1 (text/plain, inline)]
Package: mysql-connector-java
Version: 5.1.16-2
Severity: serious
Tags: patch
Justification: fails to build from source (but built successfully in the past)

Fails to build with openjdk-7 due to incompatibility with the newer version of
JDBC (abstract methods need to be overridden).
Here is the relevant part of the build log.

    [javac] /home/verica/mysql1/mysql-connector-
java-5.1.16/build/mysql-connector-java-5.1.16/com/mysql/jdbc/JDBC4LoadBalancedMySQLConnection.java:44:
error:
JDBC4LoadBalancedMySQLConnection is not abstract and does not override abstract
method getNetworkTimeout() in Connection
    [javac] public class JDBC4LoadBalancedMySQLConnection extends
    [javac]        ^
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 1 error

BUILD FAILED
/home/verica/mysql1/mysql-connector-java-5.1.16/build.xml:771:
Compile failed; see the compiler error output for details.

Total time: 11 seconds
make: *** [debian/stamp-ant-build] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2


I propose a patch that fixes this issue as attachment.



-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0002-jdbc-override-abstract-methods.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#706668; Package mysql-connector-java. (Fri, 03 May 2013 06:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 03 May 2013 06:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 706668@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: "Verica_Lazova.str" <verica.lcroft@gmail.com>, 706668@bugs.debian.org
Subject: Re: Bug#706668: mysql-connector-java: FTBFS with openjdk-7
Date: Fri, 03 May 2013 08:53:43 +0200
Control: severity -1 important
Control: tags -1 pending

On 2013-05-03 08:22, Verica_Lazova.str wrote:
> Package: mysql-connector-java
> Version: 5.1.16-2
> Severity: serious
> Tags: patch
> Justification: fails to build from source (but built successfully in the past)
> 
> Fails to build with openjdk-7 due to incompatibility with the newer version of
> JDBC (abstract methods need to be overridden).
> Here is the relevant part of the build log.
> 

OpenJDK-7 is not (yet) the default Java, so the package still builds
successfully (hench this is not a serious/RC bug at this time).  That
said it will probably be "soon" anyway.

> [...]
> 
> 
> I propose a patch that fixes this issue as attachment.
> 
> [...]

It appears that a patch has already been committed[1] 10 months ago.
Accordingly I tagged this pending.  I didn't review either, if you have
reason to believe the existing patch is insufficient, please follow up
with more information.

~Niels

[1]
http://anonscm.debian.org/viewvc/pkg-java?view=revision&revision=16211





Severity set to 'important' from 'serious' Request was from Niels Thykier <niels@thykier.net> to 706668-submit@bugs.debian.org. (Fri, 03 May 2013 06:57:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to 706668-submit@bugs.debian.org. (Fri, 03 May 2013 06:57:06 GMT) Full text and rfc822 format available.

Reply sent to Emmanuel Bourg <ebourg@apache.org>:
You have taken responsibility. (Wed, 03 Jul 2013 10:21:22 GMT) Full text and rfc822 format available.

Notification sent to "Verica_Lazova.str" <verica.lcroft@gmail.com>:
Bug acknowledged by developer. (Wed, 03 Jul 2013 10:21:23 GMT) Full text and rfc822 format available.

Message #19 received at 706668-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: 706668-close@bugs.debian.org
Subject: Bug#706668: fixed in mysql-connector-java 5.1.25-1
Date: Wed, 03 Jul 2013 10:18:59 +0000
Source: mysql-connector-java
Source-Version: 5.1.25-1

We believe that the bug you reported is fixed in the latest version of
mysql-connector-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebourg@apache.org> (supplier of updated mysql-connector-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Jul 2013 17:07:51 +0200
Source: mysql-connector-java
Binary: libmysql-java
Architecture: source all
Version: 5.1.25-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebourg@apache.org>
Description: 
 libmysql-java - Java database (JDBC) driver for MySQL
Closes: 654122 706668
Changes: 
 mysql-connector-java (5.1.25-1) unstable; urgency=low
 .
   * New upstream release
   * Refreshed the patches
   * Added a patch to build with one JDK and removed the build
     dependency on java-gcj-compat-dev
   * Updated Standards-Version to 3.9.4 (no changes)
   * Use canonical URLs for the Vcs-* fields
   * debian/rules: Improved the clean target to allow rebuilds
   * Updated the watch file
   * Renamed debian/README.Debian-source to README.source
 .
   [ Miguel Landaeta ]
   * Fix FTBFS with OpenJDK 7 (Closes: #706668)
   * Remove Michael Koch from Uploaders list.
     Thanks for your work on this package. (Closes: #654122).
Checksums-Sha1: 
 6f6c582526e8997007f6d5f91465da8218939500 2196 mysql-connector-java_5.1.25-1.dsc
 a392bf46b131c7e9f6ff50e71f310da9be450c14 1164532 mysql-connector-java_5.1.25.orig.tar.gz
 72482863cc16990f81d3ff943f62fd755a211a7c 8897 mysql-connector-java_5.1.25-1.debian.tar.gz
 1708b63d25f05ee2481facada2697fbef38e6b17 943464 libmysql-java_5.1.25-1_all.deb
Checksums-Sha256: 
 f49de73390721446bc79bf03c5d3a382401dd2657cb65c3befa38e030cd18725 2196 mysql-connector-java_5.1.25-1.dsc
 c55f7591f24d51a1217dc8292b6dd7827c4573a6ce1f9b0c1226b21acc444e7b 1164532 mysql-connector-java_5.1.25.orig.tar.gz
 54adc8f49f7ce14fac8e6a54eb748a7cd732b0dbb22a43890d8d44825342414f 8897 mysql-connector-java_5.1.25-1.debian.tar.gz
 63a9367cb7eb1053ee5c07178de8cdfed29b08335f68ac2a014f7959b7565634 943464 libmysql-java_5.1.25-1_all.deb
Files: 
 490abb640e92f285c7aceac416f3a34f 2196 java optional mysql-connector-java_5.1.25-1.dsc
 dbc618dd6fed6bfd809196904a636f36 1164532 java optional mysql-connector-java_5.1.25.orig.tar.gz
 a746381150bf66646c8fd756d06cc9e8 8897 java optional mysql-connector-java_5.1.25-1.debian.tar.gz
 b677cd98611f86e88247e28512a032c4 943464 java optional libmysql-java_5.1.25-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJR0/oVAAoJEPUTxBnkudCsBGkP/RI5dpJgSYW4XnQIMHwBwwvE
fIdRPwtI/5k+2xbaFiRGgMu8/cnu9TSDaealBgzGWIf+Ok7HD0Dnty/S31P3TLi6
tpAU33gmO5zK40tHyP7zXs63ZJv5IKGkQd/95mzSXkrwiO7xp4i4AbjKidDxgBcw
QzbaGBE7D0IZ1go9ccecSIcho3LuLJnXTppNCxfjqfo0pMjHN2r6H8YyNti5dRwU
aRVxUw0gKYkwwV7GVOvlxTfbZ2vZ9uEbl8QrwAvBmVJkLoVVZYCx0k5u9lII2SUG
dDcAYoTE6PEgqHTWIb5akc0JoGaHG960LmgppP+LTBWTwAZgOgyWS5D4y84+5MKs
u7fHiziOe1dvLapG8qT5Gt5gXtZmGS4/O00IpHBmuk955YuJilz4Q/Nc6af/D8SU
fpla2x3M1EKxirU8wAvWehIv0i94vwGSqAA+ug5pXFV7Bpc34pGWeKlZsvKcIJGw
Hfi6u+6MyHZBcrGL+Kl1Lu6sR8iq3PbBxm0/NWsP85AgLrxGvUC6n+CIySFcz5Em
iykDdsq2sQz21hrh7/tS4nCXnudwmUfQAmPDQ9vhI3RfeZMnqwpDwv8jmsa2Bvi9
ApoRadHQNQA9H8gs3ZnNT8v9MCh3Phb939HpuATh6YtrJD3lO7baahKRodYQ2Avx
7DnX72o/KLZJ6+Aziz0R
=pJHg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Aug 2013 07:30:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:12:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.